libstdc++

Classes | Namespaces | Macros | Functions
profile/deque File Reference

Go to the source code of this file.

## Classes

class | std::__profile::deque< _Tp, _Allocator >
| Class std::deque wrapper with performance instrumentation. More...

## Namespaces

namespace | std
namespace | std::__profile

## Macros

#define | _GLIBCXX_PROFILE_DEQUE

## Functions

template<typename _Tp , typename _Alloc >
bool | std::__profile::operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__profile::operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
void | std::__profile::swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/deque.